import Vue from 'vue';
import Vuex from 'vuex';
Vue.use(Vuex);
const store = new Vuex.Store({
    state: {
        userPhoto:'http://liuwanr.oss-cn-shenzhen.aliyuncs.com/userAvatars/20200710155726.jpg',
        customerId:'',
        courseId:'',
        userId: '',
        roleId: '',
        manager:{},
        provinceList: [],
        configId: '',
        systemId: '',
        orderId: '',
        userLoginId: '',
        userRoleId: '',
        schoolId: '',
        addClass: {},
        addProject: {},
        experimentData: {
            id: '',
            name: ''
        },
        token: ''
    },
    mutations:{
        userData (state, payload) {
            state.userId = payload.user_id,
            state.roleId = payload.roleId
        },
        userPhoto(state,payload){
            state.userPhoto = payload.userPhoto
        },
        customerData (state, payload) {
            state.customerId = payload.customer_id
        },
        courseData (state, payload) {
            state.courseId = payload.course_id
        },
        managerData (state, payload) {
            state.manager = payload.form
        },
        provinceData (state, payload) {
            state.provinceList = payload.provinceList
        },
        configData (state, payload) {
            state.configId = payload.config_id
        },
        systemData (state, payload) {
            state.systemId = payload.system_id
            state.orderId = payload.order_id
        },
        userLoginData (state, payload) {
            state.userLoginId = payload.userLogin_id
            state.userRoleId = payload.userRole_id
            state.schoolId = payload.schoolId
            state.token = payload.token
        },
        addClassData (state, payload) {
            state.addClass = payload.addClass
        },
        addProjectData (state, payload) {
            state.addProject = payload.addProject
        },
        addExperimentData (state, payload) {
            state.experimentData = payload.experimentData
        }
    }
});
 
export default store;